> ## Documentation Index
> Fetch the complete documentation index at: https://developer.lexful.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Group Users

> Get all users in a group



## OpenAPI

````yaml /api/openapi.yaml get /v1/groups/{groupId}/users
openapi: 3.0.3
info:
  title: Documentation Service API
  description: API documentation for Documentation Service
  version: 1.0.0
servers:
  - url: https://api.us.lexful.app
    description: US pod
security:
  - bearerAuth: []
    accountId: []
paths:
  /v1/groups/{groupId}/users:
    get:
      tags:
        - Groups
      summary: List Group Users
      description: Get all users in a group
      parameters:
        - schema:
            type: string
            format: uuid
          in: path
          name: groupId
          required: true
          description: Group ID
      responses:
        '200':
          $ref: '#/components/responses/ListGroupUsersResponse'
        '400':
          $ref: '#/components/responses/BadRequestResponse'
        '403':
          $ref: '#/components/responses/ForbiddenResponse'
        '404':
          $ref: '#/components/responses/NotFoundResponse'
        '500':
          $ref: '#/components/responses/InternalServerErrorResponse'
components:
  responses:
    ListGroupUsersResponse:
      description: Default Response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ListGroupUsersResponse_application_json'
          example:
            items:
              - id: 7c9e6679-7425-40de-944b-e07fc1f90ae7
                name: John Doe
                created_at: '2024-01-27T12:00:00.000Z'
                created_by: f47ac10b-58cc-4372-a567-0e02b2c3d479
              - id: 6ba7b810-9dad-11d1-80b4-00c04fd430c8
                name: jane.smith@example.com
                created_at: '2024-01-27T13:30:00.000Z'
                created_by: f47ac10b-58cc-4372-a567-0e02b2c3d479
            total: 2
    BadRequestResponse:
      description: Bad request - validation error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    ForbiddenResponse:
      description: Forbidden - insufficient permissions
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    NotFoundResponse:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    InternalServerErrorResponse:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  schemas:
    ListGroupUsersResponse_application_json:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: >-
              #/components/schemas/ListGroupUsersResponse_application_json_items_items
          description: Array of users in this group with membership details
        total:
          type: number
          description: Total number of users
      required:
        - items
        - total
    ErrorResponse:
      description: Bad request - validation error
      type: object
      properties:
        status:
          type: number
          description: HTTP status code
        message:
          type: string
          description: Error message
        error_id:
          type: string
          description: Unique error identifier
        error_code:
          type: string
          description: Error code
        developer_message:
          type: string
          description: Additional details for developers
    ListGroupUsersResponse_application_json_items_items:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: User ID
        name:
          type: string
          description: User full name
        created_at:
          type: string
          format: date-time
          description: When user was added to group
        created_by:
          type: string
          format: uuid
          description: User ID who added this user to the group
      required:
        - id
        - name
        - created_at
        - created_by
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token
    accountId:
      type: apiKey
      in: header
      name: X-Account-ID
      description: Account ID

````